package com.ruoyi.system.mapper.video;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ruoyi.system.domain.video.VideoDeviceInfo;

import java.util.List;

/**
 * <p>
 * 监控设备表 Mapper 接口
 * </p>
 *
 * @author lb
 * @since 2024-07-31
 */
public interface VideoDeviceInfoMapper extends BaseMapper<VideoDeviceInfo> {

    public List<VideoDeviceInfo> selectVideoDeviceInfoList(VideoDeviceInfo videoDeviceInfo);

    public VideoDeviceInfo selectVideoDeviceInfoById(Long id);

    public int InsertVideoDeviceInfo(VideoDeviceInfo  videoDeviceInfo);

    public int UpdateVideoDeviceInfo(VideoDeviceInfo  videoDeviceInfo);

    public int DeleteVideoDeviceInfoByIds(Long[] ids);

}
